// client-side js
// run by the browser each time your view template is loaded

// by default, you've got jQuery,
// add other scripts at the bottom of index.html

$(function() {
  $.get('/posts', function(posts) {
    posts.forEach(function(post) {
      $('<li class="h-entry"></li>').html('<a href="'+post['url'] + '">' + post['published']+'</a> <span class="p-name">' + post['name']+'</span>').appendTo('ul#posts');
    });
  });

  $('form').submit(function(event) {
    event.preventDefault();
    var name = $('input#name').val();
    $.post('/post?' + $.param({name:name}), function() {
      $('<div></div>').text(name ).appendTo('section#posts');
      $('input#name').val('');
      $('input').focus();
    });
  });
});
function loadprofiledata() {
    if (this.readyState === 4) {
        var data = JSON.parse(this.responseText);
        console.log(data);
        document.querySelector("#profileimage").src = data.profileImage;
        document.querySelector("#profilename").innerText = '@' +data.screenName;
        document.querySelector("#profilefullname").innerText = data.fullName;
        document.querySelector("#profile").classList.remove('hidden');
        // Hide login button
        document.querySelector("a[href='/auth/twitter']").classList.add('hidden');
        document.querySelector("a[href='/auth/twitterlogout']").classList.remove('hidden');
    }
}

document.addEventListener("DOMContentLoaded", function() {
    var req = new XMLHttpRequest();
    req.open("GET", "/showuser", true);
    req.onreadystatechange = loadprofiledata;
    req.send();
});